# -*- coding: utf-8 -*-
from __future__ import annotations

import os

import gunicorn_worker_healthcheck

bind = '0.0.0.0:8000'
workers = int(os.environ.get('HOTPOCKET_BACKEND_GUNICORN_WORKERS', 4))
logconfig = '/srv/lib/gunicorn.logging.conf'
worker_tmp_dir = '/dev/shm'
proc_name = 'hotpocket_backend'

healthcheck_bind = '0.0.0.0:8001'
gunicorn_worker_healthcheck.start(globals())
